<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: OptionSelector Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/dc0/class_option_selector.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">OptionSelector Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:af5993296d9069b7b33d3e8c737252398"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#af5993296d9069b7b33d3e8c737252398">OptionSelectorMultistate</a> (<a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a> parent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> current_index, <a class="el" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a> parent_c, <a class="el" href="../../d9/db9/classbool.html">bool</a> disabled, notnull <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; options)</td></tr>
<tr class="separator:af5993296d9069b7b33d3e8c737252398"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95c34f397b09a25c9314f6895171c279"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#a95c34f397b09a25c9314f6895171c279">LoadNewValues</a> (notnull <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt; options, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> current_index)</td></tr>
<tr class="separator:a95c34f397b09a25c9314f6895171c279"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d53ccef6e11bdb9dd86814d2fb6e921"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#a3d53ccef6e11bdb9dd86814d2fb6e921">SetNextOption</a> ()</td></tr>
<tr class="separator:a3d53ccef6e11bdb9dd86814d2fb6e921"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaca8c390a41d99f72400a6beeceef94b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#aaca8c390a41d99f72400a6beeceef94b">SetPrevOption</a> ()</td></tr>
<tr class="separator:aaca8c390a41d99f72400a6beeceef94b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc32b00450693e19d9e6bd48bfd930d1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#adc32b00450693e19d9e6bd48bfd930d1">PerformSetOption</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index)</td></tr>
<tr class="separator:adc32b00450693e19d9e6bd48bfd930d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a936a9ed0fe8bc91a142d1ba050c70de0"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#a936a9ed0fe8bc91a142d1ba050c70de0">SetCanSwitch</a> (<a class="el" href="../../d9/db9/classbool.html">bool</a> value)</td></tr>
<tr class="separator:a936a9ed0fe8bc91a142d1ba050c70de0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacfdc205e27afc3567e4baed1e66fcd9"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#aacfdc205e27afc3567e4baed1e66fcd9">CanSwitch</a> ()</td></tr>
<tr class="separator:aacfdc205e27afc3567e4baed1e66fcd9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa20caa6bb177c53430352cc7072e1218"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#aa20caa6bb177c53430352cc7072e1218">SetValue</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> value, <a class="el" href="../../d9/db9/classbool.html">bool</a> fire_event=true)</td></tr>
<tr class="separator:aa20caa6bb177c53430352cc7072e1218"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abddcf982f7ced76f3364482ff152be6e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#abddcf982f7ced76f3364482ff152be6e">SetValue</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> value, <a class="el" href="../../d9/db9/classbool.html">bool</a> fire_event=true)</td></tr>
<tr class="separator:abddcf982f7ced76f3364482ff152be6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73749e90e8ee009c3f6ba548f8ffa1dc"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#a73749e90e8ee009c3f6ba548f8ffa1dc">SetRandomValue</a> ()</td></tr>
<tr class="separator:a73749e90e8ee009c3f6ba548f8ffa1dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a731314a6581fc09629886f0bbb40a86f"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#a731314a6581fc09629886f0bbb40a86f">GetValue</a> ()</td></tr>
<tr class="separator:a731314a6581fc09629886f0bbb40a86f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7902c8de64025b1b513e975475e6697b"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#a7902c8de64025b1b513e975475e6697b">SetStringOption</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> option, <a class="el" href="../../d9/db9/classbool.html">bool</a> fire_event=true)</td></tr>
<tr class="separator:a7902c8de64025b1b513e975475e6697b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a1b9a58c73204b7539dda334b2bc7d981"><td class="memItemLeft" align="right" valign="top">protected <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/dc0/class_option_selector.html#a1b9a58c73204b7539dda334b2bc7d981">m_CanSwitch</a></td></tr>
<tr class="separator:a1b9a58c73204b7539dda334b2bc7d981"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00001">1</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="aacfdc205e27afc3567e4baed1e66fcd9" name="aacfdc205e27afc3567e4baed1e66fcd9"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aacfdc205e27afc3567e4baed1e66fcd9">&#9670;&#160;</a></span>CanSwitch()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> OptionSelector::CanSwitch </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00091">91</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<a id="a731314a6581fc09629886f0bbb40a86f" name="a731314a6581fc09629886f0bbb40a86f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a731314a6581fc09629886f0bbb40a86f">&#9670;&#160;</a></span>GetValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> OptionSelector::GetValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00126">126</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<a id="a95c34f397b09a25c9314f6895171c279" name="a95c34f397b09a25c9314f6895171c279"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a95c34f397b09a25c9314f6895171c279">&#9670;&#160;</a></span>LoadNewValues()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OptionSelector::LoadNewValues </td>
          <td>(</td>
          <td class="paramtype">notnull <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td>
          <td class="paramname"><em>options</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>current_index</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00038">38</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<a id="af5993296d9069b7b33d3e8c737252398" name="af5993296d9069b7b33d3e8c737252398"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af5993296d9069b7b33d3e8c737252398">&#9670;&#160;</a></span>OptionSelectorMultistate()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OptionSelector::OptionSelectorMultistate </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#dd/d6a/class_widget">Widget</a>&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>current_index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/d0e/group___widget_a_p_i.html#df/df4/class_scripted_widget_event_handler">ScriptedWidgetEventHandler</a>&#160;</td>
          <td class="paramname"><em>parent_c</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>disabled</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">notnull <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td>
          <td class="paramname"><em>options</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00005">5</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<a id="adc32b00450693e19d9e6bd48bfd930d1" name="adc32b00450693e19d9e6bd48bfd930d1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adc32b00450693e19d9e6bd48bfd930d1">&#9670;&#160;</a></span>PerformSetOption()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OptionSelector::PerformSetOption </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00079">79</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<a id="a936a9ed0fe8bc91a142d1ba050c70de0" name="a936a9ed0fe8bc91a142d1ba050c70de0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a936a9ed0fe8bc91a142d1ba050c70de0">&#9670;&#160;</a></span>SetCanSwitch()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OptionSelector::SetCanSwitch </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>value</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00086">86</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<a id="a3d53ccef6e11bdb9dd86814d2fb6e921" name="a3d53ccef6e11bdb9dd86814d2fb6e921"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3d53ccef6e11bdb9dd86814d2fb6e921">&#9670;&#160;</a></span>SetNextOption()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void OptionSelector::SetNextOption </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00044">44</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<a id="aaca8c390a41d99f72400a6beeceef94b" name="aaca8c390a41d99f72400a6beeceef94b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaca8c390a41d99f72400a6beeceef94b">&#9670;&#160;</a></span>SetPrevOption()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void OptionSelector::SetPrevOption </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00061">61</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<a id="a73749e90e8ee009c3f6ba548f8ffa1dc" name="a73749e90e8ee009c3f6ba548f8ffa1dc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73749e90e8ee009c3f6ba548f8ffa1dc">&#9670;&#160;</a></span>SetRandomValue()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OptionSelector::SetRandomValue </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00119">119</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<a id="a7902c8de64025b1b513e975475e6697b" name="a7902c8de64025b1b513e975475e6697b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7902c8de64025b1b513e975475e6697b">&#9670;&#160;</a></span>SetStringOption()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void OptionSelector::SetStringOption </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>option</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>fire_event</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00131">131</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<a id="aa20caa6bb177c53430352cc7072e1218" name="aa20caa6bb177c53430352cc7072e1218"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa20caa6bb177c53430352cc7072e1218">&#9670;&#160;</a></span>SetValue() <span class="overload">[1/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OptionSelector::SetValue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>fire_event</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00096">96</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<a id="abddcf982f7ced76f3364482ff152be6e" name="abddcf982f7ced76f3364482ff152be6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abddcf982f7ced76f3364482ff152be6e">&#9670;&#160;</a></span>SetValue() <span class="overload">[2/2]</span></h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void OptionSelector::SetValue </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td>
          <td class="paramname"><em>value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td>
          <td class="paramname"><em>fire_event</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00107">107</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a1b9a58c73204b7539dda334b2bc7d981" name="a1b9a58c73204b7539dda334b2bc7d981"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b9a58c73204b7539dda334b2bc7d981">&#9670;&#160;</a></span>m_CanSwitch</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">protected <a class="el" href="../../d9/db9/classbool.html">bool</a> OptionSelector::m_CanSwitch</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html#l00003">3</a> of file <a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/5_Mission/GUI/NewUI/<a class="el" href="../../d1/db8/_option_selector_multistate_8c_source.html">OptionSelectorMultistate.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/dc0/class_option_selector.html">OptionSelector</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
